Page MenuHomePhabricator

Flickr Set is not correctly fetched
Closed, ResolvedPublic

Description

In my own instance of mediawiki I tried to copy images from flickr to the wiki. The flickr access works (images are shown and uploaded to the wiki). The problem is that no matter which URL I enter, always the first 50 images from the photostream are fetched. I tried for example the first album I uploaded to flickr https://www.flickr.com/photos/cogneon/albums/72157629426826348 but als the 50 newest images are shown.

Is this a bug?

Update: seems to be a localization problem. In Germany the URL contains ".../albums/..." instead of ".../sets/...". If I replace albums by sets import works correctly.

Event Timeline

Simon.dueckert raised the priority of this task from to Needs Triage.
Simon.dueckert updated the task description. (Show Details)
Simon.dueckert added a project: UploadWizard.
Simon.dueckert added a subscriber: Simon.dueckert.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 6 2016, 5:24 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald Transcript
Simon.dueckert set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptFeb 6 2016, 5:30 PM
matmarex changed the task status from Open to Stalled.Mar 1 2016, 11:04 PM
matmarex added a subscriber: matmarex.

I can't reproduce this problem. The given URL (https://www.flickr.com/photos/cogneon/albums/72157629426826348) correctly loads all images for me, locally and at https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard (I don't have the permissions for this at actual Commons).

matmarex changed the task status from Stalled to Open.Mar 8 2016, 9:41 PM
matmarex added a subscriber: ferveo.

Bah, I'm sorry, I misunderstood the report (I thought you're saying UW loads the first 50 images from the album, as opposed to all the images from the album; I'm not familiar with Flickr and didn't realize that "photostream" is a specific term). This has been filed again as T128767 and @ferveo figured it out.

Change 275128 had a related patch set uploaded (by Bartosz Dziewoński):
Check for "albums" keyword when matching Flickr URL

https://gerrit.wikimedia.org/r/275128

Change 275128 merged by jenkins-bot:
Check for "albums" keyword when matching Flickr URL

https://gerrit.wikimedia.org/r/275128

matmarex closed this task as Resolved.Mar 8 2016, 9:52 PM
matmarex assigned this task to ferveo.
matmarex triaged this task as Normal priority.
matmarex removed a project: Patch-For-Review.